### Method

# Gio Task return_new_error_literal

since: 2.80

#### Declaration

    void
    g_task_return_new_error_literal (
      GTask* task,
      GQuark domain,
      gint code,
      const char* message
    )

#### Description

Sets `task`’s result to a new `GError` created from `domain`, `code`, `message` and completes the task.

See `g_task_return_pointer()` for more discussion of exactly what ‘completing the task’ means.

See also `g_task_return_new_error()`.

Available since: 2.80

#### Parameters

`domain`

  Type: `GQuark`

  A `GQuark`.

`code`

  Type: `gint`

  An error code.

`message`

  Type: `const char*`

  An error message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.